Skip to main content
GET
/
social-accounts
/
{socialAccountId}
/
platform-inputs
Get platform-specific input options
curl --request GET \
  --url https://api.woopsocial.com/v1/social-accounts/{socialAccountId}/platform-inputs \
  --header 'Authorization: Bearer <token>'
{
  "socialAccountId": "<string>",
  "platform": "PINTEREST",
  "platformSpecificInputs": {
    "pinterest": {
      "boards": [
        {
          "id": "<string>",
          "name": "<string>"
        }
      ]
    },
    "tiktok": {
      "privacyLevelOptions": [
        "PUBLIC_TO_EVERYONE"
      ],
      "commentDisabled": true,
      "duetDisabled": true,
      "stitchDisabled": true,
      "maxVideoPostDurationSec": 2
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

socialAccountId
string
required

Connected social account identifier.

Response

200 - application/json

Social-account-specific platform input options.

socialAccountId
string
required

Connected social account identifier.

platform
enum<string>
required

Social platform for the connected account.

Available options:
PINTEREST,
LINKEDIN,
LINKEDIN_PAGES,
INSTAGRAM,
FACEBOOK,
TIKTOK,
X,
YOUTUBE
platformSpecificInputs
object
required